SQL Server Migration Tool Online Help

SQL Server Migration Tool Parent topic

Administrators can migrate the existing OfficeScan database from its native CodeBase style to a SQL Server database using the SQL Server Migration Tool. The SQL Server Migration Tool supports the following database migrations:
  • OfficeScan CodeBase database to new SQL Server Express database
  • OfficeScan CodeBase database to preexisting SQL Server database
  • OfficeScan SQL database (previously migrated) that was moved to another location
Related information
  • Using the SQL Server Migration Tool
  • Configuring the SQL Database Unavailable Alert
© 2017 Trend Micro Incorporated. All Rights Reserved.


Using the SQL Server Migration Tool

Trend Micro homepage

SQL Server Migration Tool Online Help

Using the SQL Server Migration Tool Parent topic

The SQL Server Migration Tool migrates the existing CodeBase database to a SQL database using SQL Server 2016 SP1 Express.
Tip
Tip
After migrating the OfficeScan database, you can move the newly migrated SQL database to a different SQL Server. Rerun the SQL Server Migration Tool and select Switch to an existing OfficeScan SQL database to use the other SQL Server.

Procedure

  1. On the OfficeScan server computer, browse to <Server installation path>\PCCSRV\Admin\Utility\SQL.
  2. Double-click SQLTxfr.exe to run the tool.
    The SQL Server Migration Tool console opens.
  3. Choose the migration type:
    Option Description
    Install a new SQL Server Express instance and migrate the OfficeScan database
    Automatically installs SQL Server 2016 SP1 Express and migrates the existing OfficeScan database to a new SQL database
    Note
    Note
    OfficeScan automatically assigns port 1433 to the SQL Server.
    Migrate the OfficeScan database to an existing SQL Server
    Migrates the existing OfficeScan database to a new SQL database on an existing SQL Server
    Switch to an existing OfficeScan SQL database
    Changes the OfficeScan configuration settings to point to an existing OfficeScan SQL database on an existing SQL Server
  4. Specify the Server name as follows:
    • For new SQL installations: <host name or IP address of the SQL Server>\<instance name>
    • For SQL Server migrations: <host name or IP address of the SQL Server>,<port_number>\<instance name>
    • When switching to an existing OfficeScan SQL database: <host name or IP address of the SQL Server>,<port_number>\<instance name>
    Important
    Important
    OfficeScan automatically creates an instance for the OfficeScan database when SQL Server installs. When migrating to an existing SQL Server or database, type the preexisting instance name for the OfficeScan instance on the SQL Server.
  5. Provide the authentication credentials for the SQL Server database.
    • When using the Windows Account to log on to the server, the User name must use the following format:
      domain_name\user_name or user_name
      Important
      Important
      The user account must belong to the local administrator group or Active Directory (AD) built-in administrator and you must configure the following User Rights Assignment policies using the Windows Local Security Policy or Group Policy Management console:
      • Log on as a service
      • Log on as a batch job
      • Log on locally
      The user account must also have the following database roles:
      • dbcreator
      • bulkadmin
      • db_owner
  6. For new SQL Server installations, type a new password and confirm.
    Note
    Note
    Passwords must meet the following minimum strength requirements:
    1. Minimum length: 8 characters
    2. Must contain at least 3 of the following:
      • Uppercase letters: A - Z
      • Lowercase letters: a - z
      • Numbers: 0 - 9
      • Special characters: !@#$^*?_~-();.+:
  7. Specify the OfficeScan Database name on the SQL Server.
    When migrating the OfficeScan CodeBase database to a new SQL database, OfficeScan automatically creates the new database with the name provided.
  8. Optionally, perform the following tasks:
    • Click Test Connection to verify the authentication credentials for the existing SQL Server or database.
    • Click SQL Database Unavailable Alert… to configure the SQL database notification settings.
      For details, see Configuring the SQL Database Unavailable Alert.
  9. Click Start to apply the configuration changes.
© 2017 Trend Micro Incorporated. All Rights Reserved.


Configuring the SQL Database Unavailable Alert

Trend Micro homepage

SQL Server Migration Tool Online Help

Configuring the SQL Database Unavailable Alert Parent topic

OfficeScan automatically sends this alert whenever the SQL database becomes unavailable.
WARNING
WARNING
OfficeScan automatically stops all services when the database becomes unavailable. OfficeScan cannot log agent or event information, perform updates, or configure agents when the database is unavailable.

Procedure

  1. On the OfficeScan server computer, browse to <Server installation path>\PCCSRV\Admin\Utility\SQL.
  2. Double-click SQLTxfr.exe to run the tool.
    The SQL Server Migration Tool console opens.
  3. Click SQL Database Unavailable Alert….
    The SQL Server Unavailable Alert screen opens.
  4. Type the email address(es) for the recipient(s) of the alert.
    Separate multiple entries using semicolons (;).
  5. Modify the Subject and Message as necessary.
    OfficeScan provides the following token variables:

    SQL Database Unavailable Alert Tokens

    Variable
    Description
    %x
    The name of the OfficeScan SQL Server instance
    %s
    The name of the affected OfficeScan server
  6. Click OK.
© 2017 Trend Micro Incorporated. All Rights Reserved.


Index

Trend Micro homepage

SQL Server Migration Tool Online Help

© 2017 Trend Micro Incorporated. All Rights Reserved.